Subject: Re: Ruby and OpenSSL: no such file to load -- openssl (RuntimeError)
From: "Robert Klemme" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 19 Oct 2008 17:57:51 +0200
List-Id: <cygwin.cygwin.com>

2008/10/18 Redd Vinylene <[email-masked]>:
> I'm getting this error on Cygwin when trying to run this tiny little Rails app:
>
> ./script/../config/../vendor/rails/railties/lib/initializer.rb:253:in
> `require_frameworks': no such file to load -- openssl (RuntimeError)
>
> I have both the openssl and openssl-devel packages installed. There's
> even an openssl.so in /lib/ruby/1.8/i386-cygwin. I don't know about
> libopenssl-ruby though, it only seems to exist for Debian and Ubuntu.
>
> Anybody got a clue? Have a nice weekend y'all.

Maybe you got your environment messed up.  Did you try adding
/lib/ruby/1.8/i386-cygwin to RUBYLIB?

robert

-- 
remember.guy do |as, often| as.you_can - without end

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/